package com.kmall.admin.service.mk.store;

import com.kmall.admin.entity.mk.store.MkStorePromStatEntity;

import java.util.List;
import java.util.Map;

/**
 * 门店推广统计Service接口
 *
 * @author huangyq
 * @email admin@qhdswl.com
 * @date 2019-04-26 15:52:20
 */
public interface MkStorePromStatService {

    /**
     * 根据主键查询实体
     *
     * @param promStatId 主键
     * @return 实体
     */
    MkStorePromStatEntity queryObject(Integer promStatId);

    /**
     * 分页查询
     *
     * @param map 参数
     * @return list
     */
    List<MkStorePromStatEntity> queryList(Map<String, Object> map);

    /**
     * 分页统计总数
     *
     * @param map 参数
     * @return 总数
     */
    int queryTotal(Map<String, Object> map);
    /**
     * 保存实体
     *
     * @param mkStorePromStat 实体
     * @return 保存条数
     */
    int save(MkStorePromStatEntity mkStorePromStat);

    /**
     * 根据主键更新实体
     *
     * @param mkStorePromStat 实体
     * @return 更新条数
     */
    int update(MkStorePromStatEntity mkStorePromStat);

    /**
     * 根据主键删除
     *
     * @param promStatId
     * @return 删除条数
     */
    int delete(Integer promStatId);

    /**
     * 根据主键批量删除
     *
     * @param promStatIds
     * @return 删除条数
     */
    int deleteBatch(Integer[] promStatIds);
}
